EMF::EMRPOLYLINETO16(3)

NAME
EMF::EMRPOLYLINETO16 - EMF PolylineTo16.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRPOLYLINETO16 (const RECTL *bounds, const POINT16 *points, INT n)
EMRPOLYLINETO16 (const RECTL *bounds, const POINT *points, INT n)
EMRPOLYLINETO16 (DATASTREAM &ds)
~EMRPOLYLINETO16 ()
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF PolylineTo16.

Draw a polygonal line curve to (what?)

Constructor & Destructor Documentation

  EMF::EMRPOLYLINETO16::EMRPOLYLINETO16 (const RECTL * bounds, const POINT16 * points, INT n) [inline]

Parameters
    bounds overall bounding box of polybezier curve.
    points array of polybezier vertices.
    n number of vertices in points.

References EMRPOLYLINETO16().

Referenced by EMRPOLYLINETO16(), EMRPOLYLINETO16(), and EMRPOLYLINETO16().

  EMF::EMRPOLYLINETO16::EMRPOLYLINETO16 (const RECTL * bounds, const POINT * points, INT n) [inline]
Convenience constructor with POINTs.

Parameters
    bounds overall bounding box of polybezier curve.
    points array of polybezier vertices.
    n number of vertices in points.

References EMRPOLYLINETO16().

  EMF::EMRPOLYLINETO16::EMRPOLYLINETO16 (DATASTREAM & ds) [inline]
Construct a PolylineTo record from the input stream.

Parameters
    ds Metafile datastream.

References EMRPOLYLINETO16().

  EMF::EMRPOLYLINETO16::~EMRPOLYLINETO16 () [inline]
Destructor frees a copy of the points it buffered.

Member Function Documentation

  void EMF::EMRPOLYLINETO16::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRPOLYLINETO16::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRPOLYLINETO16::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.